import jingrow


def execute():
	"""
	Remove the pagetype "Custom Link" that was used to add Custom Links to the
	Dashboard since this is now managed by Customize Form.
	Update `parent` property to the PageType and delte the pagetype
	"""
	jingrow.reload_pagetype("PageType Link")
	if jingrow.db.has_table("Custom Link"):
		for custom_link in jingrow.get_all("Custom Link", ["name", "document_type"]):
			jingrow.db.sql(
				"update `tabPageType Link` set custom=1, parent=%s where parent=%s",
				(custom_link.document_type, custom_link.name),
			)

		jingrow.delete_pg("PageType", "Custom Link")
